Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class KeyPairGeneratorSpi

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.KeyPairGeneratorSpi

Direct Known Subclasses:
  PK11KeyPairGenerator

public abstract class KeyPairGeneratorSpi
extends java.lang.Object

Constructor Summary
`KeyPairGeneratorSpi()`

Method Summary
`abstract java.security.KeyPair` | `generateKeyPair()`
`abstract void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`abstract void` | `initialize(int strength, java.security.SecureRandom random)`
`abstract boolean` | `keygenOnInternalToken()`
`abstract void` | `temporaryPairs(boolean temp)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### KeyPairGeneratorSpi

    public KeyPairGeneratorSpi()

Method Detail

### initialize

    public abstract void initialize(int strength,
                                    java.security.SecureRandom random)

### initialize

    public abstract void initialize(java.security.spec.AlgorithmParameterSpec params,
                                    java.security.SecureRandom random)
                             throws java.security.InvalidAlgorithmParameterException

### generateKeyPair

    public abstract java.security.KeyPair generateKeyPair()
                                                   throws TokenException

### temporaryPairs

    public abstract void temporaryPairs(boolean temp)

### keygenOnInternalToken

    public abstract boolean keygenOnInternalToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD